Subject: Re: [Isis-wg] calculating Ipv4/Ipv6 routes in a single-topology heterogenous network

From: Saravana Kumar <[email-masked]>
Date: Sun, 26 Oct 2003 23:00:10 -0700 (MST)

Philip ,

>
>RTA will therefore attempt to forward both IPv4 and
>IPv6 packets to both RTB and RTC.
>

So what you are saying is that if ISIS encounters some Ipv6 prefixes over a "Ipv4 only" link  (and vice 
versa) it should just accept them and add those prefixes to its forwarding tables and advertise them in its 
LSPs (if its a L1L2 router), even though it knows that those prefixes cannot be reached over that particular 
link. Currently we are not doing this and guess im gonna have to change the behaviour.

>
>However, I can't quite see why you would have a "link"
>between two dual routers that would support IS-IS and
>IPv4 but not IPv6, or IS-IS and IPv6 but not IPv4.
>

Well our product is gonna go for testing soon and im pretty sure that the test team would get a kick out of 
trying topoligies like that. So am just trying to find the "right" answers to their questions.

Thanks,
Sarav

On Fri, 24 Oct 2003 11:55 , Philip Christian <[email-masked]> sent:

>According to strict RFC 1195 all of the prefixes (both
>IPv4 and IPv6) will be flooded throughout the area. 
>IS-IS forms links based on whether IS-IS can get over
>the link or not and form an adjacency.  Strict RFC
>1195 considers that if IS-IS can get over the link,
>then so can IPv4, IPv6 and CLNP.  It assumes that if a
>type of packet is present in the area (or level-2
>subdomain), that all routers can forward it.
>
>RTA will therefore attempt to forward both IPv4 and
>IPv6 packets to both RTB and RTC.
>
>If for some reason the packets cannot actually get
>through then they are just dumped and you have a
>blackhole.
>
>For this reason we have the topological rules of RFC
>1195. Basically if IPv4 is routed anywhere in the area
>then all routers and links must support it.  The same
>would be true for IPv6.
>
>One way to fix this particular type of scenario is the
>automatic encapsulation draft; however this appears to
>be getting no support at this time, and so (to my
>great regret) I can't see it surviving in the IETF. 
>Folks here seem to prefer running multi-topology (MT).
>
>However, I can't quite see why you would have a "link"
>between two dual routers that would support IS-IS and
>IPv4 but not IPv6, or IS-IS and IPv6 but not IPv4.
>
>Another way to fix this is to split the network into
>separate IPv4 and IPv6 topologies, either by putting
>them in separate areas or MTs, and then I suppose
>running GRE tunnels to get IPv4 and IS-IS over the
>IPv6 only bit and IPv6 and IS-IS over the IPv4 bit, or
>something like that.  The routers will then need to be
>able to run two instances of IS-IS.
>
>Philip
>
> --- Saravana Kumar [email-masked]> wrote: > Dear
>All,
>> 
>> I would like to calrify some of my
>> assumptions/doubts regarding the calculation
>> Ipv4/Ipv6 routes in a single-
>> topology heterogenous network supporting a mixture
>> of Ipv4 and Ipv6 links. 
>> 
>> Consider the following (single-toplogy) network, all
>> the 3 routers RTA, RTB, RTC can support ISIS for
>> both 
>> Ipv4 and Ipv6. RTA is connected to RTB through a
>> ipv4 only link and is connected to RTC through a
>> ipv6 only 
>> link.
>> 
>> 
>>                             -- 1.1.1.1/24
>>                            /
>>                   ----- RTB
>>                  /         \
>>                 /           -- 1:1::/64
>>      v4/v6     /v4
>>  RTX------- RTA
>>                \v6
>>                 \           -- 2.2.2.2/24
>>                  \         /
>>                   ----- RTC
>>                            \
>>                             -- 2:2::/64
>> 
>> Even though RTB advertises both Ipv4 and Ipv6
>> prefixes, i would assume that RTA should learn only
>> the Ipv4 
>> prefixes advertised by RTB since it does not know
>> the Ipv6 nexthop address that it should use to reach
>> RTB. 
>> Similarly RTA should learn only the Ipv6 prefixes
>> advertised by RTC. 
>> 
>> Whereas RTX which is connected to RTA through a link
>> that supports both Ipv4 and Ipv6 would learn all the
>> 
>> prefixes advertised by RTB and RTC (even though its
>> obvious that it can never reach some of the prefixes
>> that 
>> it learnt).
>> 
>> I would like to know whether my assuption of this
>> behaviour is correct or not...
>> 
>> Thanks,
>> Sarav
>> 
>> 
>> 
>> 
>> _______________________________________________
>> Isis-wg mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/isis-wg 
>
>________________________________________________________________________
>Want to chat instantly with your online friends?  Get the FREE Yahoo!
>Messenger http://mail.messenger.yahoo.co.uk
>
>_______________________________________________
>Isis-wg mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/isis-wg

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg